## mx-backports-kernel 5.10.46+1mx19

=== debian/changelog ===
mx-backports-kernel (5.10.46+1mx19) mx; urgency=medium

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Jul 2021 13:41:30 -0700
