## mx-backports-kernel 5.10.46+2mx19

=== debian/changelog ===
mx-backports-kernel (5.10.46+2mx19) mx; urgency=medium

  * Depend on latest 5.10.46-2 kernels.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 Jul 2021 13:32:22 -0700
