## mx-backports-kernel 5.10.46+3mx19

=== debian/changelog ===
mx-backports-kernel (5.10.46+3mx19) mx; urgency=medium

  * Depend on latest 5.10.46-3 kernels.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 31 Jul 2021 17:35:28 -0700
