## mx-backports-kernel 5.10.46+4mx19

=== debian/changelog ===
mx-backports-kernel (5.10.46+4mx19) mx; urgency=medium

  * Depend on latest 5.10.46-4 MX kernels.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Aug 2021 14:07:51 -0700
