=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: linux-image-amd64-mx
 Architecture: amd64
-Depends: linux-image-5.10.0-8mx-amd64-unsigned (= 5.10.46-3~mx19+1)
+Depends: linux-image-5.10.0-8mx-amd64-unsigned (= 5.10.46-4~mx19+1)
 Provides: linux-image-generic,
           linux-latest-modules-5.10.0-8-amd64,
           virtualbox-guest-modules [amd64 i386],
@@ -20,7 +20,7 @@
 Package: linux-headers-amd64-mx
 Architecture: amd64
 Provides: linux-headers-generic
-Depends: linux-headers-5.10.0-8mx-amd64 (= 5.10.46-3~mx19+1), ${misc:Depends}
+Depends: linux-headers-5.10.0-8mx-amd64 (= 5.10.46-4~mx19+1), ${misc:Depends}
 Description: Header files for Linux amd64 configuration (meta-package)
  This package depends on the architecture-specific header files for the
  latest MX Linux kernel amd64 configuration.
@@ -30,7 +30,7 @@
 Provides: linux-latest-modules-5.10.0-8mx-cloud-amd64,
           virtualbox-guest-modules [amd64 i386],
           wireguard-modules (= 1.0.0)
-Depends: linux-image-5.10.0-8mx-cloud-amd64-unsigned (= 5.10.46-3~mx19+1),
+Depends: linux-image-5.10.0-8mx-cloud-amd64-unsigned (= 5.10.46-4~mx19+1),
          ${misc:Depends}
 Description: Linux for x86-64 cloud (meta-package)
  This package depends on the latest Linux kernel and modules for use on
@@ -39,7 +39,7 @@
 
 Package: linux-headers-cloud-amd64-mx
 Architecture: amd64
-Depends: linux-headers-5.10.0-8mx-cloud-amd64 (= 5.10.46-3~mx19+1),
+Depends: linux-headers-5.10.0-8mx-cloud-amd64 (= 5.10.46-4~mx19+1),
          ${misc:Depends}
 Description: Header files for MX Linux cloud-amd64 configuration (meta-package)
  This package depends on the architecture-specific header files for the
@@ -50,7 +50,7 @@
 Provides: linux-latest-modules-5.10.0-8mx-rt-amd64,
           virtualbox-guest-modules [amd64 i386],
           wireguard-modules (= 1.0.0)
-Depends: linux-image-5.10.0-8mx-rt-amd64-unsigned (= 5.10.46-3~mx19+1),
+Depends: linux-image-5.10.0-8mx-rt-amd64-unsigned (= 5.10.46-4~mx19+1),
          ${misc:Depends}
 Description: Linux for 64-bit PCs. real time  (meta-package)
  This package depends on the latest MX Linux real time kernel and modules for
@@ -58,7 +58,7 @@
 
 Package: linux-headers-rt-amd64-mx
 Architecture: amd64
-Depends: linux-headers-5.10.0-8mx-rt-amd64 (= 5.10.46-3~mx19+1),
+Depends: linux-headers-5.10.0-8mx-rt-amd64 (= 5.10.46-4~mx19+1),
          ${misc:Depends}
 Description: Header files for Linux rt-amd64 configuration (meta-package)
  This package depends on the architecture-specific header files for the
@@ -66,7 +66,7 @@
 
 Package: linux-image-686-mx
 Architecture: i386
-Depends: linux-image-5.10.0-8mx-686-unsigned (= 5.10.46-3~mx19+1)
+Depends: linux-image-5.10.0-8mx-686-unsigned (= 5.10.46-4~mx19+1)
 Provides: linux-image-generic,
           linux-latest-modules-5.10.0-8mx-686,
           virtualbox-guest-modules,
@@ -78,14 +78,14 @@
 Package: linux-headers-686-mx
 Architecture: i386
 Provides: linux-headers-generic
-Depends: linux-headers-5.10.0-8mx-686 (= 5.10.46-3~mx19+1), ${misc:Depends}
+Depends: linux-headers-5.10.0-8mx-686 (= 5.10.46-4~mx19+1), ${misc:Depends}
 Description: Header files for MX Linux 686 configuration (meta-package)
  This package depends on the architecture-specific header files for the
  latest MX Linux kernel 686 (older 32-bit machines) configuration.
 
 Package: linux-image-686-pae-mx
 Architecture: i386
-Depends: linux-image-5.10.0-8mx-686-pae-unsigned (= 5.10.46-3~mx19+1)
+Depends: linux-image-5.10.0-8mx-686-pae-unsigned (= 5.10.46-4~mx19+1)
 Provides: linux-image-generic,
           linux-latest-modules-5.10.0-8mx-686-pae,
           virtualbox-guest-modules,
@@ -102,7 +102,7 @@
 Package: linux-headers-686-pae-mx
 Architecture: i386
 Provides: linux-headers-generic
-Depends: linux-headers-5.10.0-8mx-686 (= 5.10.46-3~mx19+1), ${misc:Depends}
+Depends: linux-headers-5.10.0-8mx-686 (= 5.10.46-4~mx19+1), ${misc:Depends}
 Description: Header files for MX Linux 686-pae configuration (meta-package)
  This package depends on the architecture-specific header files for the
  latest MX Linux kernel 686-pae(modern 32-bit machines) configuration.
@@ -112,7 +112,7 @@
 Provides: linux-latest-modules-5.10.0-8mx-rt-686-pae,
           virtualbox-guest-modules [i386],
           wireguard-modules (= 1.0.0)
-Depends: linux-image-5.10.0-8mx-rt-686-pae-unsigned (= 5.10.46-3~mx19+1),
+Depends: linux-image-5.10.0-8mx-rt-686-pae-unsigned (= 5.10.46-4~mx19+1),
          ${misc:Depends}
 Description: Linux for 32-bit PCs. real time  (meta-package)
  This kernel requires PAE (Physical Address Extension). This feature is
@@ -124,7 +124,7 @@
 
 Package: linux-headers-rt-686-pae-mx
 Architecture: i386
-Depends: linux-headers-5.10.0-8mx-rt-686-pae (= 5.10.46-3~mx19+1),
+Depends: linux-headers-5.10.0-8mx-rt-686-pae (= 5.10.46-4~mx19+1),
          ${misc:Depends}
 Description: Header files for Linux rt-686-pae configuration (meta-package)
  This package depends on the architecture-specific header files for the
