## mx-backports-kernel 5.10.70+1mx19

=== debian/changelog ===
mx-backports-kernel (5.10.70+1mx19) mx; urgency=medium

  * Depend on latest 5.10.70-1 kernels. 

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Oct 2021 09:07:24 -0700
