## mx-backports-kernel 5.10.103+1mx19

=== debian/changelog ===
mx-backports-kernel (5.10.103+1mx19) mx; urgency=medium

  * * Depend on latest 5.10.103-1 kernels.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Mar 2022 14:16:44 -0800
