## mx-backports-kernel 5.10.106+1mx19

=== debian/changelog ===
mx-backports-kernel (5.10.106+1mx19) mx; urgency=medium

  * Depend on latest 5.10.106-1 kernels.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Apr 2022 13:46:23 -0700
