## mx-backports-kernel 5.10.113+1mx19

=== debian/changelog ===
mx-backports-kernel (5.10.113+1mx19) mx; urgency=medium

  * Depend on latest 5.10.113-1 kernels. 

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 May 2022 18:00:54 -0700
