=== debian/control ===
Source: mx-backports-kernel
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12)
Rules-Requires-Root: no

Package: linux-image-amd64-mx
Architecture: amd64
Depends: linux-image-5.10.0-14mx-amd64-unsigned (= 5.10.113-1~mx19+1)
Provides: linux-image-generic,
          linux-latest-modules-5.10.0-14mx-amd64,
          virtualbox-guest-modules [amd64 i386],
          wireguard-modules (= 1.0.0)
Description: Metapackage for latest unsigned amd64 kernel backport for MX Linux
 This package depends on the latest MX Linux kernel and modules for use on PCs
 with AMD64, Intel 64 or VIA Nano processors.

Package: linux-headers-amd64-mx
Architecture: amd64
Provides: linux-headers-generic
Depends: linux-headers-5.10.0-14mx-amd64 (= 5.10.113-1~mx19+1), ${misc:Depends}
Description: Header files for Linux amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest MX Linux kernel amd64 configuration.

Package: linux-image-cloud-amd64-mx
Architecture: amd64
Provides: linux-latest-modules-5.10.0-14mx-cloud-amd64,
          virtualbox-guest-modules [amd64 i386],
          wireguard-modules (= 1.0.0)
Depends: linux-image-5.10.0-14mx-cloud-amd64-unsigned (= 5.10.113-1~mx19+1),
         ${misc:Depends}
Description: Linux for x86-64 cloud (meta-package)
 This package depends on the latest Linux kernel and modules for use on
 cloud platforms including Amazon EC2, Microsoft Azure, and Google Compute
 Engine.

Package: linux-headers-cloud-amd64-mx
Architecture: amd64
Depends: linux-headers-5.10.0-14mx-cloud-amd64 (= 5.10.113-1~mx19+1),
         ${misc:Depends}
Description: Header files for MX Linux cloud-amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest MX Linux kernel cloud-amd64 configuration.

Package: linux-image-rt-amd64-mx
Architecture: amd64
Provides: linux-latest-modules-5.10.0-14mx-rt-amd64,
          virtualbox-guest-modules [amd64 i386],
          wireguard-modules (= 1.0.0)
Depends: linux-image-5.10.0-14mx-rt-amd64-unsigned (= 5.10.113-1~mx19+1),
         ${misc:Depends}
Description: Linux for 64-bit PCs. real time  (meta-package)
 This package depends on the latest MX Linux real time kernel and modules for
 use on PCs with AMD64, Intel 64 or VIA Nano processors.

Package: linux-headers-rt-amd64-mx
Architecture: amd64
Depends: linux-headers-5.10.0-14mx-rt-amd64 (= 5.10.113-1~mx19+1),
         ${misc:Depends}
Description: Header files for Linux rt-amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest MX Linux kernel rt-amd64 configuration.

Package: linux-image-686-mx
Architecture: i386
Depends: linux-image-5.10.0-14mx-686-unsigned (= 5.10.113-1~mx19+1)
Provides: linux-image-generic,
          linux-latest-modules-5.10.0-14mx-686,
          virtualbox-guest-modules,
          wireguard-modules (= 1.0.0)
Description: Linux kernel for older PCs
 The Linux kernel and modules for use on PCs with one or more
 processors not supporting PAE.

Package: linux-headers-686-mx
Architecture: i386
Provides: linux-headers-generic
Depends: linux-headers-5.10.0-14mx-686 (= 5.10.113-1~mx19+1), ${misc:Depends}
Description: Header files for MX Linux 686 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest MX Linux kernel 686 (older 32-bit machines) configuration.

Package: linux-image-686-pae-mx
Architecture: i386
Depends: linux-image-5.10.0-14mx-686-pae-unsigned (= 5.10.113-1~mx19+1)
Provides: linux-image-generic,
          linux-latest-modules-5.10.0-14mx-686-pae,
          virtualbox-guest-modules,
          wireguard-modules (= 1.0.0)
Description: Linux for modern PCs (meta-package)
 This package depends on the latest MX Linux kernel and modules for use on PCs
 with one or more processors supporting PAE.
 .
 This kernel requires PAE (Physical Address Extension). This feature is
 supported by the Intel Pentium Pro/II/III/4/4M/D, Xeon, Core and Atom; AMD
 Geode NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C7; and some other processors.

Package: linux-headers-686-pae-mx
Architecture: i386
Provides: linux-headers-generic
Depends: linux-headers-5.10.0-14mx-686 (= 5.10.113-1~mx19+1), ${misc:Depends}
Description: Header files for MX Linux 686-pae configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest MX Linux kernel 686-pae(modern 32-bit machines) configuration.

Package: linux-image-rt-686-pae-mx
Architecture: i386
Provides: linux-latest-modules-5.10.0-14mx-rt-686-pae,
          virtualbox-guest-modules [i386],
          wireguard-modules (= 1.0.0)
Depends: linux-image-5.10.0-14mx-rt-686-pae-unsigned (= 5.10.113-1~mx19+1),
         ${misc:Depends}
Description: Linux for 32-bit PCs. real time  (meta-package)
 This kernel requires PAE (Physical Address Extension). This feature is
 supported by the Intel Pentium Pro/II/III/4/4M/D, Xeon, Core and Atom; AMD
 Geode NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C7; and some other processors.
 .
 This kernel includes the PREEMPT_RT realtime patch set.

Package: linux-headers-rt-686-pae-mx
Architecture: i386
Depends: linux-headers-5.10.0-14mx-rt-686-pae (= 5.10.113-1~mx19+1),
         ${misc:Depends}
Description: Header files for Linux rt-686-pae configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest MX Linux kernel rt-686-pae configuration.
